Name:           ocaml-splittable-random
Version:        0.17.0
Release:        %autorelease
Summary:        PRNG that can be split into independent streams

License:        MIT
URL:            https://github.com/janestreet/splittable_random
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/splittable_random-%{version}.tar.gz
# Expose a dependency on the math library so RPM can see it
Patch:          %{name}-mathlib.patch

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-assert-devel >= 0.17
BuildRequires:  ocaml-ppx-bench-devel >= 0.17
BuildRequires:  ocaml-ppx-inline-test-devel >= 0.17
BuildRequires:  ocaml-ppx-sexp-message-devel >= 0.17

%description
This package contains a splittable pseudo-random number generator
(SPRNG) functions like a PRNG in that it can be used as a stream of
random values; it can also be "split" to produce a second, independent
stream of random values.  Cryptographic-quality randomness has been
sacrificed in favor of performance.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx-assert-devel%{?_isa}
Requires:       ocaml-ppx-bench-devel%{?_isa}
Requires:       ocaml-ppx-compare-devel%{?_isa}
Requires:       ocaml-ppx-here-devel%{?_isa}
Requires:       ocaml-ppx-inline-test-devel%{?_isa}
Requires:       ocaml-ppx-sexp-conv-devel%{?_isa}
Requires:       ocaml-sexplib0-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n splittable_random-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
